stages:
  - build
  - deploy

build:
  stage: build
  image: docker:20.10.16
  script:
    - echo $DOCKER_TOKEN | docker login -u $DOCKER_LOGIN --password-stdin
    - docker build
        --build-arg AUXILIARY_IMAGE_PATH=/auxiliary
        --build-arg ARTIFACT_ID=app1
        --build-arg VERSION=$CI_PIPELINE_IID
        --build-arg PACKAGING=war
        --tag jeancnasc/app1:v$CI_PIPELINE_IID .
    - docker push jeancnasc/app1:v$CI_PIPELINE_IID
trigger_pipeline:
  stage: deploy
  image: alpine/curl:3.14
  script:
    - curl -X POST
        --fail
        -F token=$CI_JOB_TOKEN
        -F "ref=$ARGOCD_BRANCH"
        -F "variables[DOMAIN_NAME]=domain1"
        -F "variables[IMAGE_NAME]=jeancnasc/app1"
        -F "variables[IMAGE_TAG]=v$CI_PIPELINE_IID"
        -F "variables[ENVIRONMENT]=producao"
        https://gitlab.com/api/v4/projects/$ARGOCD_PROJECT_ID/trigger/pipeline

